<?php
namespace Claromentis\Admin\Sysadmin\UseCase;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array();
use Claromentis\Admin\Sysadmin\ServiceStatus;
use Predis\ClientInterface;
class GetRedisStatus
{
    
    
    
    
    protected $redis;
    public function __construct(?ClientInterface $_a5379b999eaa4c5f5c7e7e66fd759d8e)
    {
        $this->redis = $_a5379b999eaa4c5f5c7e7e66fd759d8e;
    }
    public function GetStatus()
    {
        if (!isset($this->redis)) {
            return ServiceStatus::NOT_APPLICABLE;
        }
        try {
            $this->redis->info();
            return ServiceStatus::OK;
        } catch (\Throwable $_25b9db1c0742750fdff46948cbf57c67) {
            return ServiceStatus::ERROR;
        }
    }
}